Bug 153019 - can't resolve names for some sites
can't resolve names for some sites
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncftp (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Ben Levenson
ftp.trolltech.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 17:39 EST by Dimitri Papadopoulos
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-20 14:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
~/.ncftp/trace (591 bytes, text/plain)
2005-03-31 17:43 EST, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2005-03-31 17:39:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Fedora/1.7.6-1.3.2

Description of problem:
ncftp is unable to resolve some names. The same names are resolved correctly by other programs and nslookup. Note how adding a final period to the name curiously fixes the problem:

$ ncftp perso-ftp.club-internet.fr
NcFTP 3.1.8 (Jul 27, 2004) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving perso-ftp.club-internet.fr...
Unknown host "perso-ftp.club-internet.fr".
ncftp> 

$ ncftp perso-ftp.club-internet.fr.
NcFTP 3.1.8 (Jul 27, 2004) by Mike Gleason (http://www.NcFTP.com/contact/).
Connecting to perso-ftp.club-internet.fr....
FTP server ready.
Ceci est un systeme prive - Aucun utilisateur anonyme autorise
Ceci est un systeme prive - Aucun utilisateur anonyme autorise
Sleeping 14 seconds...
$ 
$ nslookup perso-ftp.club-internet.fr
Server:         192.168.0.1
Address:        192.168.0.1#53

Non-authoritative answer:
Name:   perso-ftp.club-internet.fr
Address: 194.158.97.147

$ 
$ 
ncftp ftp.trolltech.com
NcFTP 3.1.8 (Jul 27, 2004) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving ftp.trolltech.com...
Unknown host "ftp.trolltech.com".
ncftp> 

$ ncftp ftp.trolltech.com.
Connecting to ftp.trolltech.com....
Welcome to the Trolltech FTP server.  Here you will find Qt-related
files and miscellaneous other stuff we've written.

If you want to mirror anything here, please write to
webmaster@trolltech.com and notify us of the fact.

Please send comments about the server to ftp@trolltech.com.


Logging in...
Login successful.
Logged in to ftp.trolltech.com..
ncftp / >

$ nslookup ftp.trolltech.com
Server:         192.168.0.1
Address:        192.168.0.1#53

Non-authoritative answer:
Name:   ftp.trolltech.com
Address: 80.232.38.140

$ 


Version-Release number of selected component (if applicable):
ncftp-3.1.8-2

How reproducible:
Always

Steps to Reproduce:
1. Connect to perso-ftp.club-internet.fr or ftp.trolltech.com using ncftp.
2.
3.
  

Actual Results:  Resolving ftp.trolltech.com...
Unknown host "ftp.trolltech.com".


Expected Results:  Connecting to ftp.trolltech.com....
Welcome to the Trolltech FTP server.  Here you will find Qt-related


Additional info:
Comment 1 Dimitri Papadopoulos 2005-03-31 17:43:07 EST
Created attachment 112552 [details]
~/.ncftp/trace
Comment 2 Dimitri Papadopoulos 2005-04-13 09:18:32 EDT
Maybe this happens because I'm behind my ADSL router (D-Link DSL-604+) and its
DNS server is somehow broken. Still, all other programs work properly, only
NcFTP fails.

The router is fully up-to-date with respect to firmware.
Comment 3 Dimitri Papadopoulos 2005-04-13 09:42:42 EDT
I compiled ncftp 3.1.8 from sources and I couldn't reproduce the problem.

Then I applied patch ncftp-3181-v6-20040826.diff, compiled again, and could
reproduce the problem. It seems this patch introduced the problem.

If needed I can try and find which exact part of the patch introduces the
problem. If you ask me, I suspect:

+/* Define if you have the getaddrinfo function.  */
+#undef HAVE_GETADDRINFO
+

+/* Define if you have the getaddrname function.  */
+#undef HAVE_GETNAMEINFO
+

After further research, this looks like code added by core@kame.net for IPv6
support, not like a Red Hat patch:
+If you have problem/trouble/suggestion for IPv6 related code,
+Please contact to core@kame.net

Maybe I should report the problem directly to them? But then they provide
patches for BSD systems, not Linux, so I'm not sure who to contact...
Comment 4 Dimitri Papadopoulos 2005-06-17 09:05:17 EDT
This could have been fixed in FC4. At least it works for a different machine
under FC4 at another location:

# ncftp ftp.trolltech.com
NcFTP 3.1.9 (Mar 24, 2005) by Mike Gleason (http://www.NcFTP.com/contact/).
Connecting to ftp.trolltech.com...
Welcome to the Trolltech FTP server.  Here you will find Qt-related
files and miscellaneous other stuff we've written.

I'll have to upgrade the machine on which the problem was initially reproduced
to make sure.
Comment 5 Dimitri Papadopoulos 2005-08-28 14:57:03 EDT
Actually it's not fixed on FC4. I tried on the same machine:

$ ncftp perso-ftp.club-internet.fr
NcFTP 3.1.9 (Mar 24, 2005) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving perso-ftp.club-internet.fr...
Unknown host "perso-ftp.club-internet.fr".
ncftp> 

$ 
Comment 7 Dimitri Papadopoulos 2005-12-07 09:42:37 EST
Why has this been changed to NOTABUG?

I can still reproduce the problem on FC4 and it's caused by the IPv6 patch.
Comment 8 Karsten Hopp 2006-05-08 07:51:21 EDT
ncftp is now in Fedora-Extras. Changing maintainer and product
Comment 9 Matthias Saou 2006-07-04 19:35:50 EDT
Can you confirm if this still happens with the very latest ncftp on FC5?
Comment 10 Dimitri Papadopoulos 2006-07-04 19:46:35 EDT
Yes, it still happens with ncftp-3.1.9-4.fc5.
Comment 11 Robert Scheck 2006-08-16 17:25:40 EDT
When you're using D-Link DSL-604+, then you shouldn't blame ncftp for anything, 
because that ADSL router seems to be one big bug. I just can say, I had this
box for about a year and throw it away, because you can't use it for productive 
things. DNS, DHCP, UDP and TCP support are broken at different parts, there are 
also other reports on the Internet...
Comment 12 Dimitri Papadopoulos 2006-08-20 02:00:43 EDT
Huh? There are bugs in any software, probably in the firmware of the D-Link
DSL-604+ too, but it works for me in all other situations after updating to the
latest version of the firmware.

Anyway, are you reasonably certain this is related to the DSL-604+? How?
Comment 13 Robert Scheck 2006-08-20 05:25:08 EDT
Independent of firmware version of D-Link DSL-604+, e.g. I had the problem
that sometimes crazy DNS lookups where done (maybe some buffer overflow), then 
when resolving redhat.com the result was 50.177.132.209 instead of the correct 
209.132.177.50. From time to time I also got 123.123.123.123 or 66.66.66.66 as 
resolving result to any tried hostname. Looks amusing but is IMHO heavy broken.

My personal workaround for this nasty DNS bug was to write my ISPs nameservers 
manually into my /etc/resolv.conf rather using the DNS forwarding from D-Link 
DSL-604+ box. When using the workaround my DNS problems disappeared forever...
Comment 14 Dimitri Papadopoulos 2006-08-20 06:09:53 EDT
I don't see DNS problems outside of ncftp with the BSD IPv6 patch applied. Are
you reasonably certain this is related to my problem?
Comment 15 Matthias Saou 2006-08-22 07:34:38 EDT
This does seem like it sould be reported directly to core@kame.net.  Please let
us know if you do so, and what they respond, or if you want me to take care of it.
Comment 16 Dimitri Papadopoulos 2006-08-30 16:06:19 EDT
Since I didn't reproduce the on a BSD platform but on Fedora (I don't have a BSD
platform available) I didn't report it to core@kame.net.
I'd be grateful if you can take care of it. I'm afraid of getting a canned
answer of the "please reproduce it on BSD first" sort...
Comment 17 Matthias Saou 2006-11-15 05:08:46 EST
It's been a while... can you still reproduce with 3.2.0?
Comment 18 Dimitri Papadopoulos 2006-11-15 15:55:59 EST
Still the same with Fedora Core 6 and ncftp-3.2.0-2.fc6:

$ ncftp perso-ftp.club-internet.fr
NcFTP 3.2.0 (Aug 05, 2006) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving perso-ftp.club-internet.fr...
Unknown host "perso-ftp.club-internet.fr".
ncftp> 
Comment 19 Matthias Saou 2006-11-16 05:19:43 EST
I still can't reproduce. It works fine for me on FC6 x86_64 :

$ ncftp perso-ftp.club-internet.fr
NcFTP 3.2.0 (Aug 05, 2006) by Mike Gleason (http://www.NcFTP.com/contact/).
Connecting to perso-ftp.club-internet.fr...                                     
FTP server ready.
Ceci est un systeme prive - Aucun utilisateur anonyme autorise
[...]

So I'm really confused. Could it not simply be something wrong on the one
machine you've been seeing the problem on? Does it have weird IPv6 settings,
possibly only partly disabled or something for instance?
Comment 20 Dimitri Papadopoulos 2006-11-16 16:22:40 EST
No, this machine is correctly installed. It had been installed from scratch for
each of these releases: FC4, FC5, and FC6. Network parameters had been set very
simply (DHCP server) and not customized in any way after installation.

By the way, this is the way I would disable IPv6 if necessary:
	alias net-pf-10 off
Isn't that OK? I had tried disabling IPv6 under FC5 - but it didn't help.
Comment 21 Matthias Saou 2007-02-05 08:34:02 EST
I just saw that the Kame guys had released a new IPv6 patch back in Nov. 2006.
I've just rebuilt new Fedora development (to be 7) packages which include the
new patch. Can you test those and let me know if they fix this issue?

I'm still unable to reproduce the problem on my FC6 x86_64 system :-(
Comment 22 Dimitri Papadopoulos 2007-02-05 14:40:57 EST
Where do I find the package? It's not in:
extras/development/i386
Comment 23 Dimitri Papadopoulos 2007-02-05 14:48:23 EST
I've tried this on my FC6 workstation:
	yum --enablerepo=fedora-extras-development update ncftp
	yum --enablerepo=development update ncftp
but I'm still stuck with:
	ncftp-3.2.0-2.fc6
Comment 24 Matthias Saou 2007-02-06 04:49:07 EST
It probably hadn't been pushed out yet. I can see it now, though.
Comment 25 Dimitri Papadopoulos 2007-02-06 15:57:22 EST
Still no luck...

$ rpm -q ncftp
ncftp-3.2.0-3.fc7
$ 
$ ncftp perso-ftp.club-internet.fr
NcFTP 3.2.0 (Aug 05, 2006) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving perso-ftp.club-internet.fr...
Unknown host "perso-ftp.club-internet.fr".
ncftp> 
Comment 26 Matthias Saou 2007-08-19 11:16:44 EDT
Since the IPv6 patch isn't an "official" patch, I've decided to take it out. Can
you test the latest 3.2.1 package? (it's fc8, but should install and run fine on
fc7)

http://koji.fedoraproject.org/koji/buildinfo?buildID=14093
Comment 27 Dimitri Papadopoulos 2007-08-19 16:36:09 EDT
That's much better! Now it works:

$ rpm -q ncftp
ncftp-3.2.1-1.fc8
$ ncftp perso-ftp.club-internet.fr
NcFTP 3.2.1 (Jul 29, 2007) by Mike Gleason (http://www.NcFTP.com/contact/).

Copyright (c) 1992-2005 by Mike Gleason.
All rights reserved.

Connecting to 194.158.97.147...
FTP server ready.
[...]
Comment 28 Matthias Saou 2007-08-20 14:25:25 EDT
Great. I won't push this update to Fedora 7 or lower, to not remove
functionality during a release's life cycle. Also, until the IPv6 patch is
merged upstream, I don't think I'll be re-adding it.

Note You need to log in before you can comment on or make changes to this bug.